package cn.sikey.hmd.convert;


import cn.sikey.hmd.api.hmd.vo.payments.PaymentsReqVO;
import cn.sikey.hmd.api.hmd.vo.payments.PaymentsRespVO;
import cn.sikey.hmd.dal.dataobject.PaymentsDO;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;

/**
 * @Author: qin
 * @Date: 2025/3/31
 * @Description: 支付记录
 */
@Mapper
public interface PaymentsConvert {
    PaymentsConvert INSTANCE = Mappers.getMapper(PaymentsConvert.class);

    PaymentsDO convertPaymentsReqVO(PaymentsReqVO paymentsReqVO);

    PaymentsRespVO convertPaymentsRespVO(PaymentsDO paymentsDO);
}
